Subject: Re: bug#78583: 31.0.50; emacs --fg-daemon not protecting frame F1

From: Madhu <[email-masked]>
Date: Wed, 28 May 2025 20:33:02 +0530 (IST)

*  martin rudalics <[email-masked]>
Wrote on Wed, 28 May 2025 16:01:03 +0200

>> If this is not a regression, i.e. killing the initial frame in a
>> daemon session was previously allowed, then I don't think we should
>> signal an error.  We might ask for confirmation, but even then I'm not
>> sure.  If someone wants to kill that frame, why should Emacs protest?
>
> Maybe Madhu can tell us.

Because if F1 is deleted emacs can no longer function as a daemon --
it cannot be detached.  It now has to be attached to some termminal.
One should assume that this is not what is required by the user who
started emacs in daemon mode.  I believe this is a defect in the
original implemenataion of daemonised emacs. --Madhu